> ## Documentation Index
> Fetch the complete documentation index at: https://developers.trycents.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add new address



## OpenAPI

````yaml POST /customers/{centsCustomerId}/addresses
openapi: 3.1.0
info:
  title: OpenAPI Cents
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api3.trycents.com/api/v1/common
security: []
paths:
  /customers/{centsCustomerId}/addresses:
    post:
      parameters:
        - $ref: '#/components/parameters/OriginHeader'
        - in: path
          name: centsCustomerId
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              properties:
                address1:
                  type: string
                address2:
                  type: string
                city:
                  type: string
                countryCode:
                  type: string
                postalCode:
                  type: string
                instructions:
                  type: string
                leaveAtDoor:
                  type: boolean
                lat:
                  type: number
                lng:
                  type: number
                googlePlacesId:
                  type: string
              required:
                - address1
                - city
                - postalCode
                - countryCode
                - lat
                - lng
              type: object
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CentsCustomerAddress'
        '400':
          description: Customer ID in not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
                example: Customer is required
      security:
        - bearerAuth: []
components:
  parameters:
    OriginHeader:
      name: fwdorigin
      in: header
      required: true
      schema:
        type: string
        default: DISPATCH_API
        enum:
          - DISPATCH_API
  schemas:
    CentsCustomerAddress:
      type: object
      properties:
        address1:
          type: string
          nullable: false
        address2:
          type: string
          nullable: true
        city:
          type: string
          nullable: false
        postalCode:
          type: string
          nullable: false
        countryCode:
          type: string
          nullable: false
        instructions:
          type: string
          nullable: false
        leaveAtDoor:
          type: string
          nullable: false
        lat:
          type: number
          nullable: false
        lng:
          type: number
          nullable: false
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````